﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="unsubscribe.aspx.cs" Inherits="unsubscribe" %>

    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Unsubscribe | webnetworkings.com</title>

        <link rel="stylesheet" href="../../Styles/bootstrap.min.css" />
        <style type="text/css">
            .container {
                margin: 20px auto;
                border-radius: 15px;
                background-color: #ffffff;
            }

            body {
                font-family: 'Open Sans', 'Helvetica Neue', Arial, Helvetica, Verdana, sans-serif;
                font-weight: 300;
                font-size: 16px !important;
                line-height: 24px !important;
                background-color: #eeeeee;
            }

            p,
            .disclaimer {
                font-size: 14px;
                font-weight: 500;
                line-height: 1.42857143;
                /* text-align: center; */
            }

            .disclaimer {
                display: inline-block;
                word-wrap: break-word;
                margin: 0px;
                padding: 0px 0px 0px 5px;
                vertical-align: text-top;
                max-width: 90%;
                /* line-height: 18px; */
                /* color: #000000; */
                /* font-size: 14px; */
                /* font-weight: 400; */
                text-align: left;
            }

            .button-container {
                text-align: left;
                /*padding: 2em;*/
                padding-top: 15px;
            }

            .btn-custom {
                color: #ffffff;
                background-color: #696868;
                /* background: linear-gradient(to bottom, #d57358 , #D65B37); */
                text-transform: uppercase;
                padding: 1em;
                letter-spacing: 0.15em;
                /* font-weight: bold; */
                transition: 0.3s;
                width: 150px;
                border-radius: 5px;
                font-weight: 600;
            }

            .btn-custom:hover {
                background-color: #d4d6d8;
            }
        </style>
    </head>

    <body>
        <form id="Form1" runat="server">
            <div class="container marg-15" id="divForm" runat="server" visible="true">
                <div class="col-md-12">
                    <h1>You have been successfully Unsubscribed</h1>
                    <hr />
                </div>
                <div class="row">
                    <div class="col-sm-7" style="margin-left: 15px">
                        <div class="form-group">
                            <asp:Label ID="lblQuestion1" runat="server"
                                Text="<p>You have been excluded from our email marketing list and will no longer receive emails from us.</p>                 <p>Please help us understand your specific reason to unsubscribe:</p>">
                            </asp:Label>
                            <div class="input-group">
                                <asp:RadioButtonList runat="server" ID="Option1">
                                    <asp:ListItem Text="The emails are in no manner related to me" />
                                    <asp:ListItem Text="I do not wish to receive emails without my consent" />
                                    <asp:ListItem Text="I do not wish to receive unsolicited emails" />
                                    <asp:ListItem Text="Please enter a reason" />
                                </asp:RadioButtonList>

                                <asp:TextBox class="form-control" ID="Option1_Text" placeholder="" runat="server">
                                </asp:TextBox>
                            </div>
                        </div>

                        <div class="button-container col-sm-2">
                            <asp:LinkButton ID="btnSubmit" runat="server" CssClass="btn btn-custom"
                                OnClick="btnSubmit_Click" Text="Submit">Submit
                            </asp:LinkButton>
                        </div>
                    </div>

                    <div class="col-sm-4 hidden-xs hidden-sm">
                        <img src="https://webnetworkings.com/images/bg10.jpg" class="img-responsive" />
                    </div>

                    <asp:HiddenField ID="hdnPDFName" runat="server" />
                    <asp:HiddenField ID="hdnCTMID" runat="server" />
                    <asp:HiddenField ID="hdnCPMID" runat="server" />
                    <asp:HiddenField ID="hdnDisclaimerUnchecked" runat="server" />
                    <asp:HiddenField ID="hdnDisclaimerChecked" runat="server" />
                    <asp:HiddenField ID="hdnLocation" runat="server" />
                    <asp:HiddenField ID="hdnIP" runat="server" />
                </div>
            </div>
            <div id="divThankyou" runat="server" visible="false">
                <div class="container-fluid">
                    <h1 style="text-align: center; font-size: 70px">Thank you for your feedback.</h1>
                </div>
            </div>
        </form>

        <!-- SCRIPTS -->
        <script src="../../Scripts/jquery3.2.1.min.js"></script>
        <script type="text/javascript">
            $(document).ready(function () {
                $("[id$='btnSubmit']").click(function () {
                    var Option1 = $("input[id*='Option1']:checked");
                    var Option1_Text = $("[id$='Option1_Text']");

                    if (Option1.val() == "" || Option1.val() == undefined) {
                        alert("Please select Option");
                        Option1.focus();
                        return false;
                    }
                    if (Option1.val().toLowerCase().indexOf('please enter a reason') >= 0 && Option1_Text.val() == "") {
                        alert("Please enter a reason");
                        Option1_Text.focus();
                        return false;
                    }
                });
            });
        </script>
    </body>

    </html>